=== debian/changelog ===
libint2 (2.6.0-13) unstable; urgency=medium

  [ Adrian Bunk ]
  * debian/rules: Add all non-i386 32bit ports architectures to the -g0 list
  * debian/rules: Build with -Os on mips/mipsel

 -- Michael Banck <mbanck@debian.org>  Mon, 22 Feb 2021 08:34:08 +0100

libint2 (2.6.0-12) unstable; urgency=medium

  * debian/control (libint2-2): Added Breaks on cp2k (<< 8.1-8).

 -- Michael Banck <mbanck@debian.org>  Sun, 21 Feb 2021 18:21:25 +0100

libint2 (2.6.0-11) unstable; urgency=medium

  * debian/rules (override_dh_auto_configure,prepare_sourcedir): Fix
    CXX_OPTFLAGS variable handling.

 -- Michael Banck <mbanck@debian.org>  Mon, 01 Feb 2021 14:16:28 +0100

libint2 (2.6.0-10) unstable; urgency=medium

  * debian/rules: Compile the libint generator with minimal debugging on slower
    architectures and add armhf/armel to that architecture list.

 -- Michael Banck <mbanck@debian.org>  Mon, 01 Feb 2021 12:29:11 +0100

libint2 (2.6.0-9) unstable; urgency=medium

  * debian/rules (override_dh_auto_test): Run dh_auto_test instead of make
    directly. 
  * debian/rules: Set LMAX to 5 except on mips-based architectures.
  * debian/rules: Add --param ggc-min-expand=20 to DEB_CXXFLAGS_MAINT_APPEND on
    mips-based architectures.

 -- Michael Banck <mbanck@debian.org>  Sat, 30 Jan 2021 15:32:20 +0100

libint2 (2.6.0-8) unstable; urgency=medium

  * debian/patches/makefile_reorder_build.patch: New patch, reorders building
    of the libint compiler so that the most complicated source file is built
    towards the beginning.
  * debian/patches/makefile_fix_distclean.patch: New patch, fixes the Makefile
    distclean target not to delete files shipped in the tarballs.
  * debian/rules (override_dh_auto_clean): Run dh_auto_clean again, followed by
    removing some uncleaned files.
  * debian/patches/fix_testsuite.patch: New patch, fixes building the
    testsuite, taken from upstream commit 36e61e6b.
  * debian/rules (override_dh_auto_configure): Overhaul angular momentum
    settings, reverting --with-max-am to 4.
  * debian/rules (UPSTREAM_VERSION): New variable.
  * debian/rules (prepare_sourcedir): New target that configures and builds the
    libint compiler, then generates the source files and exports a tarball and
    finally extracts that tarball as sourcedir.
  * debian/rules: Use sourcedir as source dir throughout.
  * debian/patches/fortran_bindings.patch: Removed, no longer needed.
  * debian/patches/fix_generated_source_for_32bit_builds.patch: New patch (not
    applied by dpkg-source), fixing the generated source on 32bit arches.
  * debian/rules (prepare_sourcedir): Apply above patch on 32bit arches to
    sourcedir.

 -- Michael Banck <mbanck@debian.org>  Wed, 27 Jan 2021 23:09:33 +0100

libint2 (2.6.0-7) unstable; urgency=medium

  * debian/rules (override_dh_auto_configure): Revert --with-max-am to 5.

 -- Michael Banck <mbanck@debian.org>  Wed, 20 Jan 2021 09:44:17 +0100

libint2 (2.6.0-6) unstable; urgency=medium

  * debian/rules (override_dh_auto_configure): Increase angular momentum
    configure options by one.

 -- Michael Banck <mbanck@debian.org>  Mon, 18 Jan 2021 22:23:14 +0100

libint2 (2.6.0-5) unstable; urgency=medium

  * debian/rules (override_dh_auto_test): No longer ignore testsuite failures.
  * debian/rules (override_dh_auto_configure): Reduce --with-opt-am to 2 and
    add --with-max-am=5.

 -- Michael Banck <mbanck@debian.org>  Sun, 17 Jan 2021 18:24:46 +0100

libint2 (2.6.0-4) unstable; urgency=medium

  * debian/patches/unsilence_make.patch: New patch, makes the compiler command
    line and output no longer be surpressed.
  * debian/rules (override_dh_auto_configure): Add --with-cxxgen-optflags
    option including -Wall compile flag.

 -- Michael Banck <mbanck@debian.org>  Mon, 12 Oct 2020 12:20:06 +0200

libint2 (2.6.0-3) unstable; urgency=medium

  * debian/patches/fix_testsuite_32bit.patch: New patch, fixes building the
    testsuite on 32bit arches.
  * debian/rules (override_dh_auto_test): Add -k make flag.

 -- Michael Banck <mbanck@debian.org>  Sun, 11 Oct 2020 23:40:25 +0200

libint2 (2.6.0-2) unstable; urgency=medium

  * debian/salsa-ci.yml: New file.
  * debian/rules (override_dh_auto_test): Fix testsuite invocation.
  * debian/rules (CPPFLAGS): New variable, include /usr/include/eigen3
    directory.

 -- Michael Banck <mbanck@debian.org>  Tue, 14 Jan 2020 20:52:23 +0100

libint2 (2.6.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control (Vcs-Browser, Vcs-Svn): Updated. 
  * debian/compat: Bumped to 10.
  * debian/control (Build-Depends): Added libeigen3-dev, gfortran and python3.
  * debian/rules (override_dh_auto_configure): Set --enable-eri et al. to 1
    instead of yes.
  * debian/rules (override_dh_auto_configure): Add --with-cmakedir, set to
    /usr/share/cmake/libint2.
  * debian/libint2-dev.install: Install cmake file.
  * debian/patches/fortran_bindings.patch: New patch, hacks up
    export/fortran/Makefile to allow building the Fortran module.
  * debian/rules (override_dh_auto_build, +override_dh_auto_install): New
    targets, build and install the Fortran module.
  * debian/rules (override_dh_auto_configure): Add --with-opt-am=3,
    --enable-generic-code and --disable-unrolling options.
  * debian/compat: Bumped to 10.
  * debian/rules: Run autogen.sh via dh_autoreconf.
  * debian/libint2-2.install, debian/libint2-dev.install: Adjust for multiarch
    directories.

 -- Michael Banck <mbanck@debian.org>  Tue, 27 Aug 2019 15:42:47 +0200
